Bug 107073

Summary: [TexMap] Remove GraphicsLayer in TextureMapperLayer.
Product: WebKit Reporter: Dongseong Hwang <dongseong.hwang>
Component: Layout and RenderingAssignee: Dongseong Hwang <dongseong.hwang>
Status: RESOLVED FIXED    
Severity: Normal CC: gyuyoung.kim, noam, rakuco, webkit.review.bot, zeno
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 105787, 107090, 107099, 107629    
Bug Blocks: 103854, 107912, 108312    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
=rebase upstream
noam: review+, noam: commit-queue-
Patch for landing
none
Patch
none
Patch
none
Patch none

Description Dongseong Hwang 2013-01-16 17:47:49 PST
Remove the dependency of TextureMapperLayer on GraphicsLayer. It is needed to remove GraphicsLayerTextureMapper in LayerTreeRenderer.
Comment 1 Dongseong Hwang 2013-01-16 18:03:19 PST
Created attachment 183079 [details]
Patch
Comment 2 Dongseong Hwang 2013-01-16 18:05:16 PST
This patch depends on Bug 105787. Could you review Bug 105787 firstly?
Comment 3 Dongseong Hwang 2013-01-16 20:28:04 PST
Created attachment 183105 [details]
Patch
Comment 4 Dongseong Hwang 2013-01-16 22:50:40 PST
Created attachment 183125 [details]
Patch
Comment 5 Dongseong Hwang 2013-01-16 22:53:17 PST
This patch needs to land Bug 107090.
Without Bug 107090, TexMap draws with wrong anchorPoint, after this patch.
Comment 6 Dongseong Hwang 2013-01-17 20:40:20 PST
Created attachment 183359 [details]
Patch
Comment 7 Dongseong Hwang 2013-01-17 22:33:36 PST
Created attachment 183379 [details]
Patch
Comment 8 Noam Rosenthal 2013-01-18 10:32:37 PST
Is this up for review?
Comment 9 Dongseong Hwang 2013-01-18 18:25:44 PST
(In reply to comment #8)
> Is this up for review?

Yes!
Comment 10 Dongseong Hwang 2013-01-18 20:11:25 PST
Created attachment 183595 [details]
=rebase upstream
Comment 11 Noam Rosenthal 2013-01-22 04:15:18 PST
Comment on attachment 183595 [details]
=rebase upstream

View in context: https://bugs.webkit.org/attachment.cgi?id=183595&action=review

> Source/WebCore/ChangeLog:14
> +        Covered by existing variables tests.

Remove the word "variables"

> Source/WebCore/platform/graphics/texmap/GraphicsLayerTextureMapper.cpp:102
> +    notifyChange(ContentsDisplayChange);

This seems like it should be in a different patch.
Comment 12 Dongseong Hwang 2013-01-22 18:14:09 PST
(In reply to comment #11)
> (From update of attachment 183595 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=183595&action=review

Thank you for review!

> > Source/WebCore/ChangeLog:14
> > +        Covered by existing variables tests.
> 
> Remove the word "variables"

OK.

Source/WebCore/platform/graphics/texmap/GraphicsLayerTextureMapper.cpp:102
> > +    notifyChange(ContentsDisplayChange);
> 
> This seems like it should be in a different patch.

I'll make it in a different patch.

After landing Bug 105787, I'll commit.

Could you review Bug 107099 that blocks this bug?
Comment 13 Dongseong Hwang 2013-01-24 21:56:57 PST
Created attachment 184660 [details]
Patch for landing
Comment 14 Dongseong Hwang 2013-01-25 02:10:59 PST
Created attachment 184706 [details]
Patch
Comment 15 Dongseong Hwang 2013-01-30 00:03:10 PST
Created attachment 185409 [details]
Patch
Comment 16 Dongseong Hwang 2013-01-30 01:04:52 PST
Created attachment 185424 [details]
Patch
Comment 17 Dongseong Hwang 2013-01-30 01:08:46 PST
The previous patch has lots of somethinkg like backing store because of my mistake. The backing store stub is already landed in Bug 107099.

This patch does not have backing store code, and focuses on removing GraphicsLayer in TextureMapperLayer.
Comment 18 WebKit Review Bot 2013-01-30 02:22:19 PST
Comment on attachment 185424 [details]
Patch

Clearing flags on attachment: 185424

Committed r141238: <http://trac.webkit.org/changeset/141238>
Comment 19 WebKit Review Bot 2013-01-30 02:22:25 PST
All reviewed patches have been landed.  Closing bug.